Skip to main content
`Ctrl`+`K`

# SNESMonitorSAWsCreate

create an SAWs monitor context for `SNES`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMonitorSAWsCreate(SNES snes, void **ctx)

Collective

## Input Parameter

- snes - `SNES` to monitor

## Output Parameter

- ctx - context for monitor

## See Also

SNES: Nonlinear Solvers, `SNESMonitorSet()`, `SNES`, `SNESMonitorSAWs()`, `SNESMonitorSAWsDestroy()`

## Level

developer

## Location

src/snes/interface/saws/snessaws.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages